#!/bin/sh -efu

. install2-init-functions
. alterator-sh-functions

mknfsrootdir="$destdir/etc/mknfsroot/profiles/sample"
autoinstall_conf="$mknfsrootdir/autoinstall.scm"

[ -z "$AUTOINSTALL" ] || exit 0
[ -f "$autoinstall_conf" ] || exit 0

read_hostname()
{
    exec_chroot hostname
}

read_storage()
{
    sed -nr 's,^[[:space:]]*([^[:space:]]+)[[:space:]]+/home[[:space:]]+.*,\1,p' $destdir/etc/fstab
}


H="$(read_hostname)"
S="$(read_storage)"

[ -z "$H" ] || sed -e "s/@HOSTNAME@/$H/" -i "$autoinstall_conf"
[ -z "$S" ] || printf '(("hpc-storage") action "write" type "nfs" location "%s")\n' \
		    "$(write_string "$S")" \
		    >> "$autoinstall_conf"
